Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoAuditorList Class Reference
[General classes]

`#include <Inventor/lists/SoAuditorList.h>`

Inheritance diagram for SoAuditorList:

List of all members.

## Detailed Description

The SoAuditorList class is used to keep track of auditors for certain object classes.

This class is mainly for internal use (from SoBase) and it should not be necessary to be familiar with it for "ordinary" Coin use.

## Public Member Functions
| SoAuditorList (void)
| ~SoAuditorList ()
void | append (void *const auditor, const SoNotRec::Type type)
void | set (const int index, void *const auditor, const SoNotRec::Type type)
void * | getObject (const int index) const
SoNotRec::Type | getType (const int index) const
int | getLength (void) const
int | find (void *const auditor, const SoNotRec::Type type) const
void | remove (const int index)
void | remove (void *const auditor, const SoNotRec::Type type)
void | notify (SoNotList *l)

## Constructor & Destructor Documentation

SoAuditorList::SoAuditorList | ( | void |  | ) |

| Default constructor.

SoAuditorList::~SoAuditorList | ( |  | ) |

| Destructor.

## Member Function Documentation

void SoAuditorList::append | ( | void *const | auditor,
|  | const SoNotRec::Type | type
| ) |

| Append an auditor of type to the list.

void SoAuditorList::set | ( | const int | index,
|  | void *const | auditor,
|  | const SoNotRec::Type | type
| ) |

| Set auditor pointer and auditor type in list at index.

void * SoAuditorList::getObject | ( | const int | index | ) | const

| Returns auditor pointer at index.

SoNotRec::Type SoAuditorList::getType | ( | const int | index | ) | const

| Returns auditor type at index.

int SoAuditorList::getLength | ( | void |  | ) | const

| Returns number of elements in list. Reimplemented from SbPList.

int SoAuditorList::find | ( | void *const | auditor,
|  | const SoNotRec::Type | type
| ) | const

| Find auditor of type in list and return index. Returns -1 if auditor is not in the list.

void SoAuditorList::remove | ( | const int | index | ) |

| Remove auditor at index. Reimplemented from SbPList.

void SoAuditorList::remove | ( | void *const | auditor,
|  | const SoNotRec::Type | type
| ) |

| Remove auditor of type from list.

void SoAuditorList::notify | ( | SoNotList * | l | ) |

| Send notification to all our auditors.

The documentation for this class was generated from the following files:

- SoAuditorList.h
- SoAuditorList.cpp